Bug 1247034 - setfan_ibm: Error writing to /proc/acpi/ibm/fan: Invalid argument
setfan_ibm: Error writing to /proc/acpi/ibm/fan: Invalid argument
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: thinkfan (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 03:57 EDT by Sudhir Khanger
Modified: 2015-12-26 12:55 EST (History)
2 users (show)

See Also:
Fixed In Version: thinkfan-0.9.2-6.fc22 thinkfan-0.9.2-6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 18:24:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir Khanger 2015-07-27 03:57:11 EDT
Description of problem: Thinkfan no longer works.

[sudhir@fedora ~]$ sudo thinkfan -n

WARNING: Using default fan control in /proc/acpi/ibm/fan.

WARNING: You're using simple temperature limits without correction values, and your fan will only start at 55 °C. This can be dangerous for your hard drive.

setfan_ibm: Error writing to /proc/acpi/ibm/fan: Invalid argument
Cleaning up and resetting fan control.

systemctl status thinkfan.service -l
● thinkfan.service - simple and lightweight fan control program                                                                                                         
   Loaded: loaded (/usr/lib/systemd/system/thinkfan.service; enabled; vendor preset: disabled)                                                                          
   Active: inactive (dead) since Mon 2015-07-27 10:34:54 IST; 2h 33min ago                                                                                              
  Process: 733 ExecStart=/usr/sbin/thinkfan (code=exited, status=0/SUCCESS)                                                                                             
 Main PID: 741 (code=exited, status=0/SUCCESS)                                                                                                                          
                                                                                                                                                                        
Jul 27 10:34:29 fedora systemd[1]: Starting simple and lightweight fan control program...                                                                               
Jul 27 10:34:29 fedora thinkfan[733]: thinkfan 0.9.1 starting...                                                                                                        
Jul 27 10:34:29 fedora thinkfan[733]: WARNING: Using default fan control in /proc/acpi/ibm/fan.                                                                         
Jul 27 10:34:29 fedora thinkfan[733]: WARNING: You're using simple temperature limits without correction values, and your fan will only start at 55 °C. This can be dangerous for your hard drive.                                                                                                                                              
Jul 27 10:34:29 fedora thinkfan[733]: Daemon PID: 741                                                                                                                   
Jul 27 10:34:29 fedora systemd[1]: Started simple and lightweight fan control program.

ls -al /proc/acpi/ibm/fan
-rw-r--r--. 1 root root 0 Jul 27 13:10 /proc/acpi/ibm/fan

[sudhir@fedora ~]$ cat /etc/thinkfan.conf 
######################################################################
# thinkfan 0.7 example config file
# ================================
#
# ATTENTION: There is only very basic sanity checking on the configuration.
# That means you can set your temperature limits as insane as you like. You
# can do anything stupid, e.g. turn off your fan when your CPU reaches 70°C.
#
# That's why this program is called THINKfan: You gotta think for yourself.
#
######################################################################
#
# IBM/Lenovo Thinkpads (thinkpad_acpi, /proc/acpi/ibm)
# ====================================================
#
# IMPORTANT:
#
# To keep your HD from overheating, you have to specify a correction value for
# the sensor that has the HD's temperature. You need to do this because
# thinkfan uses only the highest temperature it can find in the system, and
# that'll most likely never be your HD, as most HDs are already out of spec
# when they reach 55 °C.
# Correction values are applied from left to right in the same order as the
# temperatures are read from the file.
#
# For example:
# tp_thermal /proc/acpi/ibm/thermal (0, 0, 10)
# will add a fixed value of 10 °C the 3rd value read from that file. Check out
# http://www.thinkwiki.org/wiki/Thermal_Sensors to find out how much you may
# want to add to certain temperatures.

#  Syntax:
#  (LEVEL, LOW, HIGH)
#  LEVEL is the fan level to use (0-7 with thinkpad_acpi)
#  LOW is the temperature at which to step down to the previous level
#  HIGH is the temperature at which to step up to the next level
#  All numbers are integers.
#

# I use this on my T61p:
#tp_fan /proc/acpi/ibm/fan
#tp_thermal /proc/acpi/ibm/thermal (0, 10, 15, 2, 10, 5, 0, 3, 0, 3)

hwmon /sys/devices/virtual/hwmon/hwmon0/temp1_input
hwmon /sys/devices/platform/coretemp.0/hwmon/hwmon2/temp3_input
hwmon /sys/devices/platform/coretemp.0/hwmon/hwmon2/temp1_input
hwmon /sys/devices/platform/coretemp.0/hwmon/hwmon2/temp2_input

(0,     0,      55)
(1,     48,     60)
(2,     50,     61)
(3,     52,     63)
(4,     56,     65)
(5,     59,     66)
(7,     63,     32767)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.install thinkfan
2.add sensors find /sys/devices -type f -name "temp*_input"
3.enable and restart

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Admin XMLRPC Client 2015-10-16 00:35:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2015-10-19 11:14:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Sandro Mani 2015-10-26 08:38:21 EDT
Is this still an issue?
Comment 4 Sandro Mani 2015-11-02 03:40:25 EST
Closing due to no reply. Feel free to reopen if it still applies.
Comment 5 Sudhir Khanger 2015-11-05 10:50:06 EST
Hi Sandro,

Yes, issue is still there. I am running 4.2.5-201.fc22.x86_64.

There is a patch to possibly fix the issue.

http://sourceforge.net/p/thinkfan/thinkfan-bugs/19/
https://bugs.launchpad.net/ubuntu/+source/thinkfan/+bug/1494546

Thanks.
Comment 6 Sandro Mani 2015-11-05 10:56:30 EST
Thanks for suggesting the patch. Could you please test whether [1] works?

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=11717615
Comment 7 Sudhir Khanger 2015-11-08 04:54:32 EST
That seems to work. Feel free to close this bug.
Comment 8 Fedora Update System 2015-11-08 11:22:19 EST
thinkfan-0.9.2-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6061827f1d
Comment 9 Fedora Update System 2015-11-08 22:49:53 EST
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-878d9fffd7
Comment 10 Fedora Update System 2015-11-08 23:49:49 EST
thinkfan-0.9.2-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6061827f1d
Comment 11 Fedora Update System 2015-11-16 18:23:53 EST
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-11-17 06:58:29 EST
thinkfan-0.9.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Sudhir Khanger 2015-12-26 12:55:43 EST
I have regularly encountered this bug specially during system start.

$ rpm -qa | grep thinkfan
thinkfan-0.9.2-6.fc23.x86_64

Note You need to log in before you can comment on or make changes to this bug.